
DeadDrop - Feature #71

Enable large Attachments

11/07/2023 07:56 AM - Sancho Fock

Status: In Progress Start date: 01/01/2024

Priority: Normal Due date: 01/09/2024

Assignee: Sancho Fock % Done: 40%

Category: API Estimated time: 20:00 hours

Target version: 0.5.x   

Description

currently the attachment size is limited by the Web Server Max post body size. This shall be handled more elegant:

1. The server shall set the max upload size as a parameter value and send it to the client at login time.

2. The server shall be able to receive Message attachments in multiple (chunked) requests

2. The client shall chunk larger attachments and send multiple requests

3. larger attachments shall not be downloaded by the client by default --> the standard message request contains a link only

4- The server shall provide a function to download an attachment of a message

5. The client must indicate if there is a large attachment and provide a function to download it.

Related issues:

Precedes Support #78: Deploy 0.5 New 01/16/2024 01/18/2024

History

#1 - 11/09/2023 10:34 PM - Sancho Fock

- Target version changed from open to 0.6.x

#2 - 11/09/2023 10:54 PM - Sancho Fock

- Due date set to 11/29/2023

- Start date changed from 11/07/2023 to 11/29/2023

- Follows Refactoring #82: Refactoring 0.6 added

#3 - 11/09/2023 10:54 PM - Sancho Fock

- Precedes Feature #72: Enable speech messages added

#4 - 11/09/2023 10:56 PM - Sancho Fock

- Due date changed from 11/30/2023 to 12/05/2023

#5 - 11/09/2023 11:00 PM - Sancho Fock

- Follows deleted (Refactoring #82: Refactoring 0.6)

#6 - 12/23/2023 11:46 AM - Sancho Fock

- Due date changed from 12/05/2023 to 01/02/2024

- Start date changed from 11/30/2023 to 12/28/2023

- Follows Support #78: Deploy 0.5 added

#7 - 01/01/2024 12:20 PM - Sancho Fock

- Target version changed from 0.6.x to 0.5.x

Änderungen

Server

1. Drop.addMessage select and return neue msg id

2. Responsbody Klasse für PutMessage Esponse incl. neu msg id

3. servlet.put neue id zurückgeben

Client

1. neue Responseklasse implementiern

Neues Feature PATCH

Server

1. neues Requestobjekt enthält #teil und Teileinsg
2. implement Patch --> put all parts to the session (202)until all parts are uploaded (201)

3. on 201 update message

Client

1. in add message check content size

2. if content < 150k wie bisher, sonst putmessage ohne blob

3. dann Split blob content und upload parts

#8 - 01/01/2024 12:20 PM - Sancho Fock

- Follows deleted (Support #78: Deploy 0.5)

#9 - 01/01/2024 12:20 PM - Sancho Fock

- Precedes deleted (Feature #72: Enable speech messages)

#10 - 01/01/2024 12:21 PM - Sancho Fock

- Status changed from New to In Progress

- Start date changed from 01/04/2024 to 01/01/2024

- % Done changed from 0 to 10

#11 - 01/01/2024 12:23 PM - Sancho Fock

- Precedes Support #78: Deploy 0.5 added

#12 - 01/02/2024 10:14 AM - Sancho Fock

- % Done changed from 10 to 20

#13 - 01/02/2024 10:36 PM - Sancho Fock

- % Done changed from 20 to 40
